KADB_CHECK(8)

NAME
kadb_check - Checks the integrity of the Authentication Database

SYNOPSIS
kadb_check -database <kadb file> [-uheader] [-kheader]
    [-entries] [-verbose] [-rebuild <out file>] [-help]

kadb_check -d <kadb file> [-u] [-k] [-e] [-v]
    [-r <out file>] [-h]

DESCRIPTION
The kadb_check command checks the integrity of the Protection Database, reporting any errors or corruption it finds. If there are problems, do not issue any kas commands until the database is repaired.

CAUTIONS
The results can be unpredictable if the Authentication Server makes changes to the Authentication Database while this command is running. Use the bos shutdown command to shutdown the local kaserver process before running this command, or before creating a second copy of the kaserver.DB0 file (with a different name) on which to run the command.

OPTIONS

-database <kadb file>
    Names the Authentication Database (copy of the kaserver.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
    Displays information which Ubik maintains in the database's header.

-kheader
    Displays information which the Authentication Server maintains in the database's header.

-entries
    Outputs every entry in the database, providing information similar to that returned by the kas examine command.

-verbose
    Reports additional information about the database, including the number of free (allocated but unused) entries in the database.

-rebuild <out file>
    Names the file in which to record a list of kas commands which, if issued in the command shell, recreate the current state of the database being verified. Partial pathnames are interpreted relative to the current working directory.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in OPTIONS. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the Authentication Database.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser "root".

SEE ALSO
kaserver.DB0(5), bos_shutdown(8), kas_examine(8), kaserver(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.